com.android.agf.activities

## Class SortDashboardActivity.MyUpdate

- java.lang.Object
- - android.os.AsyncTask<String,Void,String>
  - - com.android.agf.asynctask.UpdateDashboard
    - - com.android.agf.activities.SortDashboardActivity.MyUpdate

- Enclosing class:
    SortDashboardActivity

       class SortDashboardActivity.MyUpdate
      extends UpdateDashboard

  classe local d'actualitzacio de la base de dades
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortDashboardActivity.MyUpdate(Context ctx, ArrayList<Dashboard> el)` constructor, creació dialeg de progres

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onPostExecute(String result)` control presencia activity
    `protected void` | `onPreExecute()` inicialització dialeg de progres

    - ### Methods inherited from class com.android.agf.asynctask.UpdateDashboard

      `doInBackground`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortDashboardActivity.MyUpdate

          public SortDashboardActivity.MyUpdate(Context ctx,
                                        ArrayList<Dashboard> el)

      constructor, creació dialeg de progres
      Parameters:
        `ctx` -
        `el` -

  - ### Method Detail

    - #### onPreExecute

          protected void onPreExecute()

      inicialització dialeg de progres
      Overrides:
        `onPreExecute` in class `AsyncTask<String,Void,String>`

    - #### onPostExecute

          protected void onPostExecute(String result)

      control presencia activity
      Overrides:
        `onPostExecute` in class `AsyncTask<String,Void,String>`